package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单服务记录对象 order_log
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class OrderLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单id */
    @Excel(name = "订单id")
    private Long oid;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 日志订单号 */
    @Excel(name = "日志订单号")
    private String logOrderId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 1：生成订单， 2：接单 ，3：上门 ，4：到达，5：评估报价，6：服务（服务过程照片，暂停服务文字，图片），7：完成，8：评价  9:取消，10：师傅提前结束订 */
    @Excel(name = "1：生成订单， 2：接单 ，3：上门 ，4：到达，5：评估报价，6：服务", readConverterExp = "服=务过程照片，暂停服务文字，图片")
    private BigDecimal type;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 定金 */
    @Excel(name = "定金")
    private BigDecimal deposit;

    /** 定金支付状态 */
    @Excel(name = "定金支付状态")
    private Integer depPaid;

    /** 定金支付时间 */
    @Excel(name = "定金支付时间")
    private Long depPayTime;

    /** 定金订单号 */
    @Excel(name = "定金订单号")
    private String depLogId;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal price;

    /** 支付状态 1：未支付 2：已支付 */
    @Excel(name = "支付状态 1：未支付 2：已支付")
    private Long paid;

    /** 支付时间 */
    @Excel(name = "支付时间")
    private Long payTime;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String logId;

    /** 工人id */
    @Excel(name = "工人id")
    private Long workerId;


    /** 工人id */
    @Excel(name = "工人id")
    private String workerName;

    /** 第一次接单师傅 */
    @Excel(name = "第一次接单师傅")
    private Long firstWorkerId;

    /** 1：转单之前操作，放弃订单 */
    @Excel(name = "1：转单之前操作，放弃订单")
    private Integer giveUp;

    /** 工人费用 */
    @Excel(name = "工人费用")
    private BigDecimal workerCost;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal reductionPrice;

    /** 1：开始 2：暂停 */
    @Excel(name = "1：开始 2：暂停")
    private Integer isPause;

    /** 优惠券ID */
    @Excel(name = "优惠券ID")
    private Long couponId;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal deduction;

    /** 历史师傅订单 */
    @Excel(name = "历史师傅订单")
    private Long workerLogId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date deletedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOid(Long oid) 
    {
        this.oid = oid;
    }

    public Long getOid() 
    {
        return oid;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setLogOrderId(String logOrderId) 
    {
        this.logOrderId = logOrderId;
    }

    public String getLogOrderId() 
    {
        return logOrderId;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setType(BigDecimal type) 
    {
        this.type = type;
    }

    public BigDecimal getType() 
    {
        return type;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setDeposit(BigDecimal deposit) 
    {
        this.deposit = deposit;
    }

    public BigDecimal getDeposit() 
    {
        return deposit;
    }

    public void setDepPaid(Integer depPaid) 
    {
        this.depPaid = depPaid;
    }

    public Integer getDepPaid() 
    {
        return depPaid;
    }

    public void setDepPayTime(Long depPayTime) 
    {
        this.depPayTime = depPayTime;
    }

    public Long getDepPayTime() 
    {
        return depPayTime;
    }

    public void setDepLogId(String depLogId) 
    {
        this.depLogId = depLogId;
    }

    public String getDepLogId() 
    {
        return depLogId;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    public void setPaid(Long paid) 
    {
        this.paid = paid;
    }

    public Long getPaid() 
    {
        return paid;
    }

    public void setPayTime(Long payTime) 
    {
        this.payTime = payTime;
    }

    public Long getPayTime() 
    {
        return payTime;
    }

    public void setLogId(String logId) 
    {
        this.logId = logId;
    }

    public String getLogId() 
    {
        return logId;
    }

    public void setWorkerId(Long workerId) 
    {
        this.workerId = workerId;
    }

    public Long getWorkerId() 
    {
        return workerId;
    }

    public void setFirstWorkerId(Long firstWorkerId) 
    {
        this.firstWorkerId = firstWorkerId;
    }

    public Long getFirstWorkerId() 
    {
        return firstWorkerId;
    }

    public void setGiveUp(Integer giveUp) 
    {
        this.giveUp = giveUp;
    }

    public Integer getGiveUp() 
    {
        return giveUp;
    }

    public void setWorkerCost(BigDecimal workerCost) 
    {
        this.workerCost = workerCost;
    }

    public BigDecimal getWorkerCost() 
    {
        return workerCost;
    }

    public void setReductionPrice(BigDecimal reductionPrice) 
    {
        this.reductionPrice = reductionPrice;
    }

    public BigDecimal getReductionPrice() 
    {
        return reductionPrice;
    }

    public void setIsPause(Integer isPause) 
    {
        this.isPause = isPause;
    }

    public Integer getIsPause() 
    {
        return isPause;
    }

    public void setCouponId(Long couponId) 
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }

    public void setDeduction(BigDecimal deduction) 
    {
        this.deduction = deduction;
    }

    public BigDecimal getDeduction() 
    {
        return deduction;
    }

    public void setWorkerLogId(Long workerLogId) 
    {
        this.workerLogId = workerLogId;
    }

    public Long getWorkerLogId() 
    {
        return workerLogId;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }

    public String getWorkerName() {
        return workerName;
    }

    public void setWorkerName(String workerName) {
        this.workerName = workerName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("oid", getOid())
            .append("orderId", getOrderId())
            .append("logOrderId", getLogOrderId())
            .append("title", getTitle())
            .append("type", getType())
            .append("content", getContent())
            .append("deposit", getDeposit())
            .append("depPaid", getDepPaid())
            .append("depPayTime", getDepPayTime())
            .append("depLogId", getDepLogId())
            .append("price", getPrice())
            .append("paid", getPaid())
            .append("payTime", getPayTime())
            .append("logId", getLogId())
            .append("workerId", getWorkerId())
            .append("firstWorkerId", getFirstWorkerId())
            .append("giveUp", getGiveUp())
            .append("workerCost", getWorkerCost())
            .append("reductionPrice", getReductionPrice())
            .append("isPause", getIsPause())
            .append("couponId", getCouponId())
            .append("deduction", getDeduction())
            .append("workerLogId", getWorkerLogId())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .toString();
    }
}
